Skip to main content
POST
/
workspaces
/
{workspace_id}
/
workflow-executions
/
{execution_id}
/
objects
/
preview
Error
A valid request URL is required to generate request examples
{
  "content": "<string>",
  "content_type": "<string>",
  "size_bytes": 1,
  "preview_bytes": 1,
  "truncated": true
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required
execution_id
string
required

Body

application/json
event_id
integer
required

Temporal history event ID

Required range: x >= 1
field
enum<string>
default:action_result
Available options:
action_result
collection_index
integer | null

Optional index into a CollectionObject result. When omitted, operates on the top-level object result.

Required range: x >= 0

Response

Successful Response

content
string
required

Preview text content

content_type
string
required

MIME type of the object

size_bytes
integer
required

Total object size in bytes

Required range: x >= 0
preview_bytes
integer
required

Number of bytes used for preview

Required range: x >= 0
truncated
boolean
required

Whether preview is truncated due to size limits

encoding
enum<string>
required

Encoding used to decode preview text

Available options:
utf-8,
unknown